local fn = _gn(0x9B12F9A24FABEDB0)
--- Hardcoded not to work in multiplayer environments.
-- Native name between `SET_LOCAL_PLAYER_VISIBLE_LOCALLY` & `SET_MAX_WANTED_LEVEL`.
-- ```
-- OBJECT::_9B12F9A24FABEDB0(${prop_gate_prison_01}, 1845.0, 2605.0, 45.0, 0, 0.0, 50.0, 0);  //door unlocked
-- OBJECT::_9B12F9A24FABEDB0(${prop_gate_prison_01}, 1845.0, 2605.0, 45.0, 1, 0.0, 50.0, 0);  //door locked
-- ```
-- @param locked tells the game whether or not the door is locked
-- @param xRotMult multiplier that specifies how fast the door/gate will rotate in degrees per second.
-- @param yRotMult multiplier that specifies how fast the door/gate will rotate in degrees per second.
-- @param zRotMult multiplier that specifies how fast the door/gate will rotate in degrees per second.
function Global.DoorControl(modelHash, x, y, z, locked, xRotMult, yRotMult, zRotMult)
	return fn(_ch(modelHash), x, y, z, locked, xRotMult, yRotMult, zRotMult)
end
